Bug 466484 - does not alert to new mail using file protocol over nfs
does not alert to new mail using file protocol over nfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnubiff (Show other bugs)
11
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-10 10:25 EDT by Robert K. Moniot
Modified: 2009-10-20 09:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
configuration file .gnubiffrc (with mailhost and user names anonymized) (5.01 KB, application/xml)
2008-10-10 10:25 EDT, Robert K. Moniot
no flags Details

  None (edit)
Description Robert K. Moniot 2008-10-10 10:25:39 EDT
Created attachment 320016 [details]
configuration file .gnubiffrc (with mailhost and user names anonymized)

Description of problem:
My mailbox is in directory /var/spool/mail on a remote host.  The directory is exported by nfs (using automount) and is sym linked to /var/spool/mail on my login host.  [In detail: mailhost:/var/spool/mail is automounted on localhost:/local/mail, and my login host has replaced the directory /var/spool/mail by a sym link /var/spool/mail -> /local/mail.]  My MAIL variable is /var/spool/mail/username.  I have specified "file" protocol for the mailbox.
When new mail arrives, the gnubiff applet does not sound an alert or change its display after the time specified by mailbox[1]/delay has elapsed.  (I have it set to 60.)  The only times it alerts are on startup and after closing the configuration tool.  (Opening and closing the configuration tool causes it to alert me to new mail.)

The applet does update the display to say "no mail" immediately after mail is fetched and deleted from the spool.

Version-Release number of selected component (if applicable):
gnubiff-2.2.7-4.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. Start gnubiff.  If the config tool opens, close it.
2. Send yourself mail.  Allow the configured delay time to elapse.
3. 
  
Actual results:
No alert is given.  Display continues to indicate the previous amount of mail.

Expected results:
Alert should be given and display should show the new amount of mail.

Additional info:
Comment 1 Bug Zapper 2009-06-09 22:55:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:40:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Robert K. Moniot 2009-10-20 09:48:13 EDT
I am now using Fedora 11, and the behavior is the same.  The bug is not fixed.

Note You need to log in before you can comment on or make changes to this bug.